package com.dxhy.erp.entity.sdny;

import com.dxhy.erp.entity.BasePojo;
import lombok.Data;

/**
 * @author guoker
 * @date 2020-12-28
 */
@Data
public class InvoiceFile extends BasePojo {

    private static final long serialVersionUID = 1L;

    private String id;

    /**
     * uuid发票唯一索引
     */
    private String uuid;

    /**
     * 文件名称
     */
    private String fileName;

    /**
     * 文件存储地址
     */
    private String filePath;

    /**
     * 文件类型
     */
    private String fileType;

    /**
     * 是否源文件
     */
    private String isSourceFile;

    /**
     * 创建时间
     */
    private String createTime;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建人名称
     */
    private String createUserName;

    /**
     * 是否预览，可预览为true,否则为false
     */
    private boolean previewFlag;

    /**
     * 预览限制大小，超过就提示
     */
    private String previewLimitSize;

}
