package com.dxhy.erp.entity.sdny;

import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class SAPInvoiceInfo {

    /**
     * 报账状态
     */
    private String ZBAZT = "";

    /**
     * 销方税号
     */
    private String ZXFSH = "";

    /**
     * 受票⽅识别号
     */
    private String ZSPSBH = "";

    /**
     * 机打代码
     */
    private String ZJDDM = "";

    /**
     * 发票所在地
     */
    private String ZFPSZD = "";

    /**
     * 销方编号
     */
    private String ZXFBM = "";

    /**
     * 机打号码
     */
    private String ZJDHM = "";

    /**
     * 受票⽅名称
     */
    private String ZSPMC = "";

    /**
     * 票据状态
     */
    private String ZPJZT = "";

    /**
     * 创建人
     */
    private String ZCJR = "";

    /**
     * 查验结果描述
     */
    private String ZCYJG = "";

    /**
     * 进⼝证明书号
     */
    private String ZJKZM = "";

    /**
     * 登记证号
     */
    private String ZDJZH = "";

    /**
     * 购方名称
     */
    private String ZGFMC = "";

    /**
     * 价款-发票不含税金额
     */
    private String ZJK = "";

    /**
     * 上车时间/行程开始时间
     */
    private Date ZSCSJ;

    /**
     * 查验日期
     */
    private Date ZCYRQ;

    /**
     * 查验状态
     */
    private String ZCYZT = "";

    /**
     * 运输货物信息
     */
    private String ZYSHW = "";

    /**
     * 发票类型
     */
    private String ZFPLX = "";

    /**
     * 图片附件ID
     */
    private String ZFU = "";

    /**
     * 起运地,经由,到达地
     */
    private String ZQYD = "";

    /**
     * 乘车人姓名
     */
    private String ZCCRXM = "";

    /**
     * 开票日期
     */
    private String ZKPRQ = "";

    /**
     * 缩略图ID
     */
    private String ZSLT = "";

    /**
     * 业务状态
     */
    private String ZYWZT = "";

    /**
     * 税额
     */
    private String ZSE = "";

    /**
     * 通行费标志
     */
    private String ZTXBZ = "";

    /**
     * 用户名
     */
    private String ZYHM = "";

    /**
     * 税控盘号
     */
    private String ZSKPH = "";

    /**
     * 购⽅开户⾏账户
     */
    private String ZGFZH = "";

    /**
     * 备注
     */
    private String ZBZ = "";

    /**
     * 税码
     */
    private String ZSM = "";

    /**
     * 序号
     */
    private String SORT = "";

    /**
     * 发票代码
     */
    private String ZFPDM = "";

    /**
     * 产地
     */
    private String ZCD = "";

    /**
     * 上车车站/入口
     */
    private String ZSCCZ = "";

    /**
     * 车次
     */
    private String ZCC = "";

    /**
     * 发票号码
     */
    private String ZFPHM = "";

    /**
     * 保险费
     */
    private String ZBXF = "";

    /**
     * 燃油附加费
     */
    private String ZRYFJ = "";

    /**
     * 车架号/车辆识别代码
     */
    private String ZCLSB = "";

    /**
     * 开票时间
     */
    private String ZKPSJ = "";

    /**
     * 下车时间/行程结束时间
     */
    private Date ZXCSJ;

    /**
     * 销方名称
     */
    private String ZXFMC = "";

    /**
     * 承运⼈识别号
     */
    private String ZCYRSBH = "";

    /**
     * 认证结果
     */
    private String ZRZJG = "";

    /**
     * 影像编码ID
     */
    private String IMG_ID = "";

    /**
     * 车牌号
     */
    private String ZCPH = "";

    /**
     * 零税率标志
     */
    private String ZLSLBZ = "";


    /**
     * 创建时间
     */
    private Date ZCJSJ;

    /**
     * 发票状态
     */
    private String ZFPZT = "";

    /**
     * 二手车市场
     */
    private String ZESCSC = "";

    /**
     * 发动机号码
     */
    private String ZFDJM = "";

    /**
     * 更新人
     */
    private String ZGXR = "";

    /**
     * 认证所属期
     */
    private String ZRZSSQ = "";

    /**
     * 里程
     */
    private String ZLC = "";

    /**
     * 合格证号
     */
    private String ZHGZH = "";

    /**
     * 销⽅地址电话
     */
    private String ZXFDH = "";

    /**
     * 认证结果描述
     */
    private String ZRZMS = "";

    /**
     * 二手车市场纳税人识别号
     */
    private String ZESCSH = "";

    /**
     * 公司代码
     */
    private String ZGSDM = "";

    /**
     * 购方税号
     */
    private String ZGFSH = "";

    /**
     * 税率
     */
    private String ZTAX = "";

    /**
     * 限乘⼈数
     */
    private String ZXCRS = "";

    /**
     * 完税凭证号码
     */
    private String ZWSPZ = "";

    /**
     * 车船吨位
     */
    private String ZCCDW = "";

    /**
     * 主管税务机关
     */
    private String ZSWJG = "";

    /**
     * 业务单据编号(报账单编号)
     */
    private String ZYWDJ = "";

    /**
     * 下车车站/出口
     */
    private String ZXCCZ = "";

    /**
     * 乘车人身份证号
     */
    private String ZCCRZH = "";

    /**
     * 厂牌型号
     */
    private String ZCPXH = "";

    /**
     * 民航发展基金
     */
    private String ZMHFZJJ = "";

    /**
     * 行项目结构
     */
    private List<SAPInvoiceDetail> IT_ITEM;


    /**
     * 购⽅地址电话
     */
    private String ZGFDH = "";

    /**
     * 发票影像编号
     */
    private String FPYXBH = "";

    /**
     * 销⽅开户⾏账户
     */
    private String ZXFZH = "";

    /**
     * 校验码
     */
    private String ZJYM = "";

    /**
     * 商检单号
     */
    private String ZSJDH = "";

    /**
     * 员工Code
     */
    private String ZYGC = "";

    /**
     * 价税合计/总金额
     */
    private String ZJSHJ = "";

    /**
     * 承运⼈名称
     */
    private String ZCYRMC = "";

    /**
     * 主管税务机关代码
     */
    private String ZJGDM = "";

    /**
     * 更新时间
     */
    private Date ZGXSJ;

    /**
     * 全名
     */
    private String ZQM = "";

    /**
     * 票据来源
     */
    private String ZPJLY = "";

    /**
     * 认证日期
     */
    private String ZRZRQ = "";

    /**
     * 座位类型
     */
    private String ZZWLX = "";

    /**
     * ID
     */
    private String ZTID = "";

}
